GNU bug report logs - #22993
25.0.92; OS X app nap slows down tty emacsclient

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Aaron Jensen" <aaronjensen@HIDDEN>; Keywords: confirmed; merged with #24849; dated Sat, 12 Mar 2016 07:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22993 24849. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 10 Jul 2016 16:11:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 12:11:22 2016
Received: from localhost ([127.0.0.1]:45354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bMHKE-0005nN-Ga
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2016 12:11:22 -0400
Received: from mail-wm0-f49.google.com ([74.125.82.49]:37284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bMHKC-0005nB-PJ
 for 22993 <at> debbugs.gnu.org; Sun, 10 Jul 2016 12:11:21 -0400
Received: by mail-wm0-f49.google.com with SMTP id k123so67157358wme.0
 for <22993 <at> debbugs.gnu.org>; Sun, 10 Jul 2016 09:11:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=YhvoTfKemd24WiYKdgSagNlIJ2khAuXKJUHAqckFG+U=;
 b=Bnug3MPPCqFhg1XJLbSAGeGyY9D2Uig2XQQD+JUOsZqgMrRljz8nwcEGyTdInLjMVK
 BGf06p3yzZmoX76R7EBh+eFUYFRq7H/6EmEhzTJ3zDvc74kb1KS3eT/HW9CJ72cNCO2h
 LT37YCQ+3FcwbZXxKzcsppQBbckT+G6wp1FUJ13SnM7xzlZYjuBVMmQox3tS35DS7HG2
 oJs9YQRHSTKCQUDWRwU/MeDAZ57dpf7UQx1uuvRO733kQyVbLHFHG5eWGjppqIxnYNYV
 Qju/T+42hHOVo1VKmmMdLrHRjlw0HNGTUj9x6C7TBC0ZNZu1Nk4E+UbnFtiuJs0rTAP5
 +qMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=YhvoTfKemd24WiYKdgSagNlIJ2khAuXKJUHAqckFG+U=;
 b=a0069ZtJwUWiA3GeQjxi1u0I2pMoPj8binzt0Pyq8O9QlRFo+SrvFgZFUhStp9eSW2
 gSRLtO8YSoqme1Z0dNr9mDnVAu6awaoAGE4yqt10RnEDoVTn06c89/x+y4bJFcAOeaVz
 ufD5bJE2uNg3m8Rz4Cck/+cLPgCsa935K9m4XPJexd25ew8l6o+Fs3SS4I7LucJibx63
 aNlvNhTm4Yjxlpo5xTtS5WQnKpXRm4itHzTv034BW88nr5tQN54ofa23jheVsLTsBXHg
 aVHMXDoPSxNirpaX7UJw1ogRpym5qgEnS8ncGgNTIwdAiLYS3HE8VV0WaVqV8GxZ+aUt
 GIJw==
X-Gm-Message-State: ALyK8tLfIXsSFNxVVgzFRQpqzcQKjXktj0PPKYh9vMUfp/Mb/0L3lsP8Njuz1AhSCor9mQ==
X-Received: by 10.28.31.140 with SMTP id f134mr7780376wmf.69.1468167075166;
 Sun, 10 Jul 2016 09:11:15 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5cc4-ba14-a0d0-bdac.holly.idiocy.org.
 [2001:8b0:3f8:8129:5cc4:ba14:a0d0:bdac])
 by smtp.gmail.com with ESMTPSA id a2sm8283244wma.2.2016.07.10.09.11.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Jul 2016 09:11:14 -0700 (PDT)
Date: Sun, 10 Jul 2016 17:11:12 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160710161112.GA51429@HIDDEN>
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
 <20160707195759.GB12590@HIDDEN>
 <CAHyO48wzPgbKcVKSpe-c8gQwi=18DY4+ghExFR5gZw-0uVq8Tg@HIDDEN>
 <20160710095332.GA35411@HIDDEN>
 <CAHyO48ze=NuNWKf-AE4FfxHso7iOsMc5H3s7fgVbRHXmrW+UFw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48ze=NuNWKf-AE4FfxHso7iOsMc5H3s7fgVbRHXmrW+UFw@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Jul 10, 2016 at 03:38:57PM +0000, Aaron Jensen wrote:
> The code referenced is getting the main bundle, then getting its Info.plist
> and writing `NSAppSleepDisabled` to be true. I’m sure you can tell that.
> What I don’t know is if it actually modifies the Info.plist, or if it has
> the same effect as the “defaults write” work around below.
> 
> It also appears to not be the “correct”[1] way to disable appnap, which,
> afaict, requires objective c[2]?
> 
> [1]: http://lists.apple.com/archives/java-dev/2014/Feb/msg00051.html
> [2]: https://github.com/bitcoin/bitcoin/pull/5804/files

Yeah, I expect we'd have to convert it to Objective C since almost all
the NS port specific code is written in it.

I've seen the suggestion in your second link elsewhere too, and it's
generally described as being for long-running processes that shouldn't
be interrupted, not for a process sitting waiting for input. (Just
using the code as provided will actually, as I understand it, prevent
the PC from sleeping too, there's some other command that doesn't do
that, but I don't have it to hand right now.)

Apparently App Nap also doesn't affect any code that occurs within an
event handler, which perhaps explains why I can type this email within
an emacsclient -t session with no problems, but you're seeing trouble
with other, possibly more complex, situations.

> > For future reference, here are the known work-arounds for this problem:
> >
> > 1. At the command prompt: defaults write org.gnu.Emacs NSAppSleepDisabled
> > -bool YES
> >
> > 2. Right-click on the Emacs icon and select 'get info' and tick the
> >    'Disable App Nap' checkbox. (Although I don't get that tick box...)
> >
> 
> Nor do I, it’d be nice if we knew why this was.

I get it for an Emacs 24.5 that I downloaded from Emacsformacosx.com,
which made me wonder if it was because I compiled it myself or
something... :/

> > 3. Run in daemon mode: Emacs as a daemon has no GUI so app nap
> >    is disabled automatically.
> >
> >
> I wonder if it would be worth posting to an apple mailing list about this?
> It seems to be an edge case—an app that is sometimes a gui+daemon.

Yes, it appears that Apple haven't provided a way for apps to both have a
GUI and act as a server. Perhaps we should raise it directly with
them.

It would also be nice if we could attract some people with
Objective C and Cocoa experience to Emacs development, right now we
seem to have none. I'm trying to pick up Objective C, Cocoa, GNUStep
and Emacs's internals all at the same time.

> I’ve also been unable to find Cocoa equivalents to the APIs
> mentioned as the proper way to disable app nap (if we could use
> these, we could begin an activity when a server starts, so app nap
> would only be disabled in that case). If there were an easy way to
> detect a tty frame coming into and leaving existence it could even
> be done around that.

Yes, I'd wondered about something like that, but I don't know how the
server bit works. Anyone out there know about the practicalities of
implementing this? Is there a hook that executes when a connection is
made from emacsclient? Apparently there's server-visit-hook, but that
only works if you load a file, and we need to be able to disable app
nap even if no file is loaded.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 10 Jul 2016 15:39:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 11:39:15 2016
Received: from localhost ([127.0.0.1]:45319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bMGp8-00051D-Sl
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2016 11:39:15 -0400
Received: from mail-io0-f170.google.com ([209.85.223.170]:34045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bMGp6-00050r-Vm
 for 22993 <at> debbugs.gnu.org; Sun, 10 Jul 2016 11:39:13 -0400
Received: by mail-io0-f170.google.com with SMTP id q83so18338148iod.1
 for <22993 <at> debbugs.gnu.org>; Sun, 10 Jul 2016 08:39:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=QaHpYIyDU5WNZ47zWdH7Jzi1pmwAk7szIXB70z7p1e0=;
 b=xwUTZtNcoU0AXjyr3xO7vg3THit9teCvNYrh8iWnYsfPbVDDqr5xscSinaAtsDh3JD
 dQ+2YHe9409dAEx+uh4YCHQury1CnNG+P/ijheCghoLmt8AwUjEQhkgCVv/phQwmYoQQ
 pFogefcti7reuryHaZTcTsFFC0zLaZrWZeKXg0E4WAR5ZrecygGLCelGhjlaTEOwXHGp
 uZlQJG/dctBgDvc2uNDOV4PIzf22ncJ7kkbRqJBBm3ZVX6BvloLAWty33fxPHNcPp9lD
 sUOHchH8CZ1aUuQh+xaoaqgi1ETxQ+LEsfddbVSEFGLpH5gKNPfaw/7u1xStXP8NifsD
 rYuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=QaHpYIyDU5WNZ47zWdH7Jzi1pmwAk7szIXB70z7p1e0=;
 b=MkliIAF1f3aTMGiaxCGeVtsOqI4upXRKvPshXBhbpTsD6BxjByR2KTnZoa+bVdigT1
 qL2F2TEDr5UVN1oupRew+r0Dir7ONnbvb6Wvr5HzyY2vWSGVs1sQ8JH1dLX6mvRLOHMc
 50Ik1d1fjQssMcpVIK9bFJnP9elC/N5oA6yTFR7NF4tfUzvMVV0KxKUGlulVt1ho7fht
 jdcQ7v7zhl9/3rdCoT/wSvyt7HRApzW4njsUA4Q1fBvU5pOFSlDp7qUhJ07K5HTAiwOv
 CmAdQtpi16t39Rq++vlg7Jeb/lBOSUYvXqrhmCEsIAWMRYsW65U6qkxStsGfuvokoUGY
 FKRg==
X-Gm-Message-State: ALyK8tIOHwexSDsy6uK1uzstvjiii/VXp378rYZXKMX5zfqrqKyjqQFplCXev7aKx+8bXu+CQoTzYTz/9XQSoA==
X-Received: by 10.107.59.201 with SMTP id i192mr16372531ioa.89.1468165147333; 
 Sun, 10 Jul 2016 08:39:07 -0700 (PDT)
MIME-Version: 1.0
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
 <20160707195759.GB12590@HIDDEN>
 <CAHyO48wzPgbKcVKSpe-c8gQwi=18DY4+ghExFR5gZw-0uVq8Tg@HIDDEN>
 <20160710095332.GA35411@HIDDEN>
In-Reply-To: <20160710095332.GA35411@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sun, 10 Jul 2016 15:38:57 +0000
Message-ID: <CAHyO48ze=NuNWKf-AE4FfxHso7iOsMc5H3s7fgVbRHXmrW+UFw@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c063e9e141b4a053749d611
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c063e9e141b4a053749d611
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 10, 2016 at 2:53 AM Alan Third <alan@HIDDEN> wrote:

> I've reverted the change, but I'm not keen to make the above changes
> because they're not trivial, I don't understand them, and I would
> basically be copying and pasting code. I suspect we could have license
> issues with that. If anyone knows different feel free to chime in.
>

I have also tried adding:

<key>NSAppSleepDisabled</key>
<true/>

To the plist and it still napped.

The code referenced is getting the main bundle, then getting its Info.plist
and writing `NSAppSleepDisabled` to be true. I=E2=80=99m sure you can tell =
that.
What I don=E2=80=99t know is if it actually modifies the Info.plist, or if =
it has
the same effect as the =E2=80=9Cdefaults write=E2=80=9D work around below.

It also appears to not be the =E2=80=9Ccorrect=E2=80=9D[1] way to disable a=
ppnap, which,
afaict, requires objective c[2]?

[1]: http://lists.apple.com/archives/java-dev/2014/Feb/msg00051.html
[2]: https://github.com/bitcoin/bitcoin/pull/5804/files


> For future reference, here are the known work-arounds for this problem:
>
> 1. At the command prompt: defaults write org.gnu.Emacs NSAppSleepDisabled
> -bool YES
>
> 2. Right-click on the Emacs icon and select 'get info' and tick the
>    'Disable App Nap' checkbox. (Although I don't get that tick box...)
>

Nor do I, it=E2=80=99d be nice if we knew why this was.


>
> 3. Run in daemon mode: Emacs as a daemon has no GUI so app nap
>    is disabled automatically.
>
>
I wonder if it would be worth posting to an apple mailing list about this?
It seems to be an edge case=E2=80=94an app that is sometimes a gui+daemon. =
I=E2=80=99ve
also been unable to find Cocoa equivalents to the APIs mentioned as the
proper way to disable app nap (if we could use these, we could begin an
activity when a server starts, so app nap would only be disabled in that
case). If there were an easy way to detect a tty frame coming into and
leaving existence it could even be done around that.

--=20
Aaron

--94eb2c063e9e141b4a053749d611
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Sun, Jul 10, 2016 at 2:53 AM Alan Third &lt;<a href=3D"=
mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br><div class=3D"gma=
il_quote"><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bord=
er-left:1px #ccc solid;padding-left:1ex">I&#39;ve reverted the change, but =
I&#39;m not keen to make the above changes<br>
because they&#39;re not trivial, I don&#39;t understand them, and I would<b=
r>
basically be copying and pasting code. I suspect we could have license<br>
issues with that. If anyone knows different feel free to chime in.<br></blo=
ckquote><div><br></div><div>I have also tried adding:</div><div><br></div><=
div><span class=3D"Apple-tab-span" style=3D"white-space:pre">	</span>&lt;ke=
y&gt;NSAppSleepDisabled&lt;/key&gt;</div><div><span class=3D"Apple-tab-span=
" style=3D"white-space:pre">	</span>&lt;true/&gt;</div><div><br></div><div>=
To the plist and it still napped.=C2=A0</div><div><br></div><div>The code r=
eferenced is getting the main bundle, then getting its Info.plist and writi=
ng `NSAppSleepDisabled` to be true. I=E2=80=99m sure you can tell that. Wha=
t I don=E2=80=99t know is if it actually modifies the Info.plist, or if it =
has the same effect as the =E2=80=9Cdefaults write=E2=80=9D work around bel=
ow.=C2=A0</div><div><br></div><div>It also appears to not be the =E2=80=9Cc=
orrect=E2=80=9D[1] way to disable appnap, which, afaict, requires objective=
 c[2]?</div><div><br></div><div>[1]:=C2=A0<a href=3D"http://lists.apple.com=
/archives/java-dev/2014/Feb/msg00051.html">http://lists.apple.com/archives/=
java-dev/2014/Feb/msg00051.html</a></div><div>[2]: <a href=3D"https://githu=
b.com/bitcoin/bitcoin/pull/5804/files">https://github.com/bitcoin/bitcoin/p=
ull/5804/files</a><br></div><div>=C2=A0</div><blockquote class=3D"gmail_quo=
te" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"=
>
For future reference, here are the known work-arounds for this problem:<br>
<br>
1. At the command prompt: defaults write org.gnu.Emacs NSAppSleepDisabled -=
bool YES<br>
<br>
2. Right-click on the Emacs icon and select &#39;get info&#39; and tick the=
<br>
=C2=A0 =C2=A0&#39;Disable App Nap&#39; checkbox. (Although I don&#39;t get =
that tick box...)<br></blockquote><div><br></div><div>Nor do I, it=E2=80=99=
d be nice if we knew why this was.</div><div>=C2=A0</div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">
<br>
3. Run in daemon mode: Emacs as a daemon has no GUI so app nap<br>
=C2=A0 =C2=A0is disabled automatically.<br><br></blockquote><div><br></div>=
<div>I wonder if it would be worth posting to an apple mailing list about t=
his? It seems to be an edge case=E2=80=94an app that is sometimes a gui+dae=
mon. I=E2=80=99ve also been unable to find Cocoa equivalents to the APIs me=
ntioned as the proper way to disable app nap (if we could use these, we cou=
ld begin an activity when a server starts, so app nap would only be disable=
d in that case). If there were an easy way to detect a tty frame coming int=
o and leaving existence it could even be done around that.</div><div><br></=
div></div></div><div dir=3D"ltr">-- <br></div><div data-smartmail=3D"gmail_=
signature"><div dir=3D"ltr">Aaron</div></div>

--94eb2c063e9e141b4a053749d611--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 10 Jul 2016 09:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 05:53:43 2016
Received: from localhost ([127.0.0.1]:44595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bMBQk-0003bR-TU
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2016 05:53:43 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:35368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bMBQi-0003bE-Ia
 for 22993 <at> debbugs.gnu.org; Sun, 10 Jul 2016 05:53:40 -0400
Received: by mail-wm0-f43.google.com with SMTP id f65so33274076wmi.0
 for <22993 <at> debbugs.gnu.org>; Sun, 10 Jul 2016 02:53:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=J5QA4znWlbe6wlVRi93w2IEGjRB0Pt4CH+qE/xjLGSk=;
 b=EkW8G0BefwW8+h2EXpoT8g23JI340xNahKbZqax37CnWfBCNiPz8BqzOBrWdV2J8v5
 7fieIY+8sktiUwNcF16jJlxw5Cz7d9nOxLeVKPfsUcC6ioAZnsvbQCm65B+QjXA4kIcL
 P85xrPbdWiTkNRyEJVRLab9dcZO/7xDmSD47FrE9YZgn8Lmc2WompZt12XkporyvBNY/
 QW2gYYHDyqHc3dR4JeLHNMSncEFsYs5OARKNFuT9hiavWm9vKLOKA++o203S73dnAt7+
 j83h15BiyuxJWScpdGyuXeNYFaGOMwUkXmG1flwwHsA4TTlLivrbW1VB2GelV7eHmseT
 beqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=J5QA4znWlbe6wlVRi93w2IEGjRB0Pt4CH+qE/xjLGSk=;
 b=FyqrBnIwwRIWCEceld87mccZFN0XxGS0yTVUJ9IbNYpEpnZXnTSWaZ3OSwOvFppEks
 ofN1GoJ3xZtepnZch1VhiBGNBZdtvnYvxOz0pvhSOk4wEE2So4bjCjN1d/P/A59s1UXE
 6/7svjuACBNAEHnzuIUgZ7RMxG4reZVCBFlHwLCgk7TyN3S8qVMP7TOoQV54iapIyZWG
 30ftVaKE3PdIDASvC4nCAeenc0FXhnOV5mRkYhElJAT+pWfdW3It9eVZnmeOcVVrFiRF
 bfAtKajECswYomvUV/yTECt0jaFEPoqrzW24xmnj5IA/FRGujFzmFGAg1vhmv4U47AN2
 2EEg==
X-Gm-Message-State: ALyK8tJ3zgi7z0NR880hJs1XL5kV3xDly0RIhL7qydCARzYeBJqxK/paPuroiCzWZmJg6g==
X-Received: by 10.28.15.213 with SMTP id 204mr6257511wmp.74.1468144414903;
 Sun, 10 Jul 2016 02:53:34 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5cc4-ba14-a0d0-bdac.holly.idiocy.org.
 [2001:8b0:3f8:8129:5cc4:ba14:a0d0:bdac])
 by smtp.gmail.com with ESMTPSA id p126sm12206779wmp.13.2016.07.10.02.53.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Jul 2016 02:53:34 -0700 (PDT)
Date: Sun, 10 Jul 2016 10:53:32 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160710095332.GA35411@HIDDEN>
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
 <20160707195759.GB12590@HIDDEN>
 <CAHyO48wzPgbKcVKSpe-c8gQwi=18DY4+ghExFR5gZw-0uVq8Tg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48wzPgbKcVKSpe-c8gQwi=18DY4+ghExFR5gZw-0uVq8Tg@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Jul 08, 2016 at 05:29:26AM +0000, Aaron Jensen wrote:
> On Thu, Jul 7, 2016 at 12:58 PM Alan Third <alan@HIDDEN> wrote:
> 
> > Unfortunately I can't quite work out what they're doing. That
> > QSettings thing is specific to QT, as far as I can tell. There must be
> > a Cocoa equivalent, but I don't know what it is.
> >
> 
> I believe it’s this:
> 
>  CFDictionarySetValue(infoDict, CFSTR(“NSAppSleepDisabled"),
> kCFBooleanTrue);
> 
> via
> https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964e07e73fb7f936/app/main.cpp#L194
> 
> 
> <https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964e07e73fb7f936/app/main.cpp#L194>

I've reverted the change, but I'm not keen to make the above changes
because they're not trivial, I don't understand them, and I would
basically be copying and pasting code. I suspect we could have license
issues with that. If anyone knows different feel free to chime in.

For future reference, here are the known work-arounds for this problem:

1. At the command prompt: defaults write org.gnu.Emacs NSAppSleepDisabled -bool YES

2. Right-click on the Emacs icon and select 'get info' and tick the
   'Disable App Nap' checkbox. (Although I don't get that tick box...)

3. Run in daemon mode: Emacs as a daemon has no GUI so app nap
   is disabled automatically.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 8 Jul 2016 05:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 01:29:45 2016
Received: from localhost ([127.0.0.1]:41676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bLOMD-0003l1-0I
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2016 01:29:45 -0400
Received: from mail-it0-f45.google.com ([209.85.214.45]:34480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bLOMA-0003km-D2
 for 22993 <at> debbugs.gnu.org; Fri, 08 Jul 2016 01:29:42 -0400
Received: by mail-it0-f45.google.com with SMTP id j8so804740itb.1
 for <22993 <at> debbugs.gnu.org>; Thu, 07 Jul 2016 22:29:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9e+HTSn/6FCESbzQ6L1V2Dt3/zJWPGgyGPUco6GjtxM=;
 b=gwNrvKPEIfTpH9FZbjGAa3yU0dt0q30RSZ118uoPuW58sMWBHhunYIOdqWStKppDs9
 MpqLK+Ie10D2Yff+9dusc6sFKaDTsjroXA0S7R4mbjkewB/bVXfePxQg2r84ckS7Aptr
 hp0fky7r6FkzfIwEA27nY9xVepK4ZzuW39mxmsSMQpJqRHODS9Na2tMAIgXCrjJS+IUZ
 /U3DEaJdHDq2lvorJlgDWfJ3u5T0HsknzRc7BqXb7sckSgBoqfX70NxZ+BpUBucIfBeW
 HbPQR5kg6qKqkp00ajreFGof8WjWaj0BQLLE9JPooJ/MEBzr7htUQ4d2+VGZDL4XIBvX
 qtYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9e+HTSn/6FCESbzQ6L1V2Dt3/zJWPGgyGPUco6GjtxM=;
 b=BONQr8qJsQt39qBj4x38m+kOeRmDdkMWiLooDyH5EUYKXm51weufWBoLFN8PmF2/bf
 Kr5ZbT72/JhkZ8ljqruM/dhUCJEC5CRK2HcyeAVcTUoEHGb+5P/yrSvN1QOZ5FXVe3AS
 sQ3Rz0Tnn0olWx2+vP+mEkTTRljiGVsjR7n2m+dZivbkL1aJ1QRuH110Ij5208tjdfNv
 cTYxhn54vzqYQ6zqkxUvgeYDUjjx6Rw7n+kzLqK5kspyVqubknoJKePZQvO9BxushmYb
 rV0MKst38+8QXfhtB1aOwq1B2U5glXM+fMCNChIobRNdsjCTGtrmw5gFrxBW3JVkpO/f
 6v0A==
X-Gm-Message-State: ALyK8tJQ9ekHfiq3T9d02Fx1984Z9atBFbBJewFmtSzDEHp99oFQaWNSYExeJxR1tnpeWrkmy6BIGskZQm89eA==
X-Received: by 10.36.29.81 with SMTP id 78mr1279876itj.97.1467955776762; Thu,
 07 Jul 2016 22:29:36 -0700 (PDT)
MIME-Version: 1.0
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
 <20160707195759.GB12590@HIDDEN>
In-Reply-To: <20160707195759.GB12590@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Fri, 08 Jul 2016 05:29:26 +0000
Message-ID: <CAHyO48wzPgbKcVKSpe-c8gQwi=18DY4+ghExFR5gZw-0uVq8Tg@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1143e1729ebc6405371916fa
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1143e1729ebc6405371916fa
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Thu, Jul 7, 2016 at 12:58 PM Alan Third <alan@HIDDEN> wrote:

> Unfortunately I can't quite work out what they're doing. That
> QSettings thing is specific to QT, as far as I can tell. There must be
> a Cocoa equivalent, but I don't know what it is.
>

I believe it=E2=80=99s this:

 CFDictionarySetValue(infoDict, CFSTR(=E2=80=9CNSAppSleepDisabled"),
kCFBooleanTrue);

via
https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964=
e07e73fb7f936/app/main.cpp#L194


<https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed96=
4e07e73fb7f936/app/main.cpp#L194>
>
>
> I'll re-open the bug report, since I already closed it. :)
>

Thanks!
--=20
Aaron

--001a1143e1729ebc6405371916fa
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Thu, Jul 7, 2016 at 12:58 PM Alan Third &lt;<a href=3D"=
mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<div class=3D"gmail_q=
uote"><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-l=
eft:1px #ccc solid;padding-left:1ex">
Unfortunately I can&#39;t quite work out what they&#39;re doing. That<br>
QSettings thing is specific to QT, as far as I can tell. There must be<br>
a Cocoa equivalent, but I don&#39;t know what it is.<br></blockquote><div><=
br></div><div>I believe it=E2=80=99s this:</div><div><br></div><div>=C2=A0C=
FDictionarySetValue(infoDict, CFSTR(=E2=80=9CNSAppSleepDisabled&quot;), kCF=
BooleanTrue);</div><div><br></div><div>via=C2=A0<a href=3D"https://github.c=
om/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964e07e73fb7f936/ap=
p/main.cpp#L194">https://github.com/salamanderrake/KDevelop/blob/0e9822520d=
de913e177d00ed964e07e73fb7f936/app/main.cpp#L194</a></div><div><br></div><d=
iv><br></div><a href=3D"https://github.com/salamanderrake/KDevelop/blob/0e9=
822520dde913e177d00ed964e07e73fb7f936/app/main.cpp#L194"></a><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;p=
adding-left:1ex">
<br>
I&#39;ll re-open the bug report, since I already closed it. :)<br></blockqu=
ote><div><br></div><div>Thanks!</div></div></div><div dir=3D"ltr">-- <br></=
div><div data-smartmail=3D"gmail_signature"><div dir=3D"ltr">Aaron</div></d=
iv>

--001a1143e1729ebc6405371916fa--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 7 Jul 2016 19:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 15:58:09 2016
Received: from localhost ([127.0.0.1]:41559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bLFR3-0007Sj-AO
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:58:09 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:35325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bLFR1-0007SU-Np
 for 22993 <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:58:08 -0400
Received: by mail-wm0-f44.google.com with SMTP id z126so161201242wme.0
 for <22993 <at> debbugs.gnu.org>; Thu, 07 Jul 2016 12:58:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=ecJMr3qoero5Qjsi5oEOLapGHV1FWfwYE1nF8PFHe9U=;
 b=C87y81tuynZyZjpG4/A1fzpFyv5DKhT7jKBJO+uRRBN3MTWXdV/xG0MV9oztb3DswA
 TduH9aja2TnhxTFqo4zmNP4vocvIf3imXt2rysmH3x1p4qsgYBUMyCupqoFBwNQ8N8fR
 NUUhJYwxWXS7qCsj6bPc1pBFXm9egfm9FUZ6WfxYHDnnPKpMLptOBdBvB46PVehzynx2
 Wn4unRl8CpSZta+i+nJ8GmP6QV2ygQY1Ns2xZi/f1X48b00Q6USV0Ie7su5z1GoOLzeH
 H2GI6J49pDP7hFRCCq2CaQ3EwM8TFa+T9QueeYPGLnZej7cF5l3IFqMhVj01LoODzbPe
 jfBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=ecJMr3qoero5Qjsi5oEOLapGHV1FWfwYE1nF8PFHe9U=;
 b=LwS1gKVe9RfCZWc6G7GdHKCLxlhGdRM87wVHHDWhJcpIQrx6zT49A1EpGQ+ZiC9Mlg
 toDp1HrjY0wD/jNJ4CFuihm5N+o0Jx/JF4mIxCxXADHAN+QPaxDWlSeuonL5wwslDO6a
 fHcKn46+2fLCqAOnoE+DTPHusuEbC6ISPVcGUAA1/fyyB4Uve70eXFAAJ6Bbmji8zdfJ
 zubXxHWhxqiqglV0uPU6rMG65jrIDwo4lWZbNYONE82p9HUJ0fDM0Q6UAfLJnj1xYifQ
 9sW42mUu3c1dx2qfkkdiiVCuUecCZJjFYb6pwmeNeaSIoiaOE/NpLrGvLdV2eat6F9Yy
 fw8A==
X-Gm-Message-State: ALyK8tI2z6misoSTzueE6ZQYr78U5GVSWLjXoU04nFayiCbDYES43eiSpOEYHpOOdyGUNw==
X-Received: by 10.28.25.134 with SMTP id 128mr27252189wmz.16.1467921482128;
 Thu, 07 Jul 2016 12:58:02 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5cc4-ba14-a0d0-bdac.holly.idiocy.org.
 [2001:8b0:3f8:8129:5cc4:ba14:a0d0:bdac])
 by smtp.gmail.com with ESMTPSA id g195sm1134730wme.23.2016.07.07.12.58.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 07 Jul 2016 12:58:01 -0700 (PDT)
Date: Thu, 7 Jul 2016 20:57:59 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160707195759.GB12590@HIDDEN>
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jul 07, 2016 at 07:08:29PM +0000, Aaron Jensen wrote:
> On Thu, Jul 7, 2016 at 11:55 AM Alan Third <alan@HIDDEN> wrote:
> 
> > I'm going to push this change to master. In the worst case it doesn't
> > work for some people and nothing is different.
> >
> > I can't see a better way of handling this problem.
> >
> 
> Actually, I’d hold off. Even w/ this change in place, I saw it not work as
> well, it just took longer/slept in different instances.

I've already pushed it to master. I guess I could revert it, but I'm
not sure it's worth it.

> I believe the fix I
> linked to here would be best:
> https://github.com/TauLabs/TauLabs/pull/2094/files

Unfortunately I can't quite work out what they're doing. That
QSettings thing is specific to QT, as far as I can tell. There must be
a Cocoa equivalent, but I don't know what it is.

I'll re-open the bug report, since I already closed it. :)
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993-done <at> debbugs.gnu.org:


Received: (at 22993-done) by debbugs.gnu.org; 7 Jul 2016 19:10:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 15:10:10 2016
Received: from localhost ([127.0.0.1]:41528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bLEgc-0006Gi-6O
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:10:10 -0400
Received: from mail-it0-f45.google.com ([209.85.214.45]:35951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bLEga-0006GU-9m
 for 22993-done <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:10:08 -0400
Received: by mail-it0-f45.google.com with SMTP id g4so98328940ith.1
 for <22993-done <at> debbugs.gnu.org>; Thu, 07 Jul 2016 12:10:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=YI5yzW7mbAMBuv/POH9hICL8KyN/Xfg/+u6hA3fX1+s=;
 b=ONix6PZJFim2yult6NdmjfeLlbqAhgB9K7MQmJ0JOMXHhD/c5/4JqzjSwwtIjeEW13
 TRi9gAptQ0MLPlT4t1OHSHf0SNfpmKNtCQLqJshOpch/3dVUF/MP0ypzT8E6xda9KGmU
 DbqibYDR+2rNcHH9oFPRLMBBKi/kpfTp29z6HFLctqt0EyuaH9ynDK42C0nXRxcPhVuK
 G0OF3pa5F8xkRiJSiQHtSmScgmuw7mn03FgWrVAVdcJiP5Xh3XKd22AqkEhMmX0KLvpv
 3s3FZezrKcWVmYjHMz7il1iLWBZJDV0eAqn6bwXd4civ2kFmLkLcu2uAfntr2mV1Yf+h
 +hSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=YI5yzW7mbAMBuv/POH9hICL8KyN/Xfg/+u6hA3fX1+s=;
 b=GmOj/ziNRUguGPLceW15rXzKDliVFjwepNofJRHGYRACnR1SkiHicc6+P2ZqaoEOkv
 iwqxr6KSU7aIcWduhZBaL3r+Chc88Zu4QDOn+YJzZgMzATGw16yn2xaoNJIuFtVYVzgq
 9qmOMMv9Bo8HPaZcSBH6w+qQ0ntAbQA1jHUqmD9BPK0BeDfvFGxMwAmLQ7SPCE/wLQEq
 LH0kaPzi5hZ0BLpQTfeYcKOEQyN318KuuyHyklv7NooQkqjdRrscUW/9T09zxWtnDc4A
 GEFFwTDvnL1KpuICl+jwvt7g91uHlBSnTvfKQgl3i2H7ApIOixGinwPoFg8VzhTmyZKw
 vimg==
X-Gm-Message-State: ALyK8tKtHs2elQyETK5YZJZzD1t96XlVElJgj1ugvNbd8S+WfbZ/KJyH6oGyIlX09CKqRgmfxhiyHie/ANcbvA==
X-Received: by 10.36.158.197 with SMTP id p188mr25751025itd.97.1467918602757; 
 Thu, 07 Jul 2016 12:10:02 -0700 (PDT)
MIME-Version: 1.0
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
 <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
In-Reply-To: <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Thu, 07 Jul 2016 19:09:53 +0000
Message-ID: <CAHyO48xe316U7KqdA1NpHUWXpaRJ1CarTwLRaxBAkg6xT49KgA@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c05f87ee06b090537106e94
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993-done
Cc: 22993-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c05f87ee06b090537106e94
Content-Type: text/plain; charset=UTF-8

Also, I apologize for not sending an update after I saw it repro again with
the apparently-not-working fix in place.
-- 
Aaron

--94eb2c05f87ee06b090537106e94
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Also, I apologize for not sending an update after I saw it=
 repro again with the apparently-not-working fix in place.=C2=A0<br></div><=
div dir=3D"ltr">-- <br></div><div data-smartmail=3D"gmail_signature"><div d=
ir=3D"ltr">Aaron</div></div>

--94eb2c05f87ee06b090537106e94--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993-done <at> debbugs.gnu.org:


Received: (at 22993-done) by debbugs.gnu.org; 7 Jul 2016 19:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 15:08:48 2016
Received: from localhost ([127.0.0.1]:41524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bLEfH-0006EF-Ro
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:08:48 -0400
Received: from mail-io0-f179.google.com ([209.85.223.179]:36258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bLEfE-0006Du-ON
 for 22993-done <at> debbugs.gnu.org; Thu, 07 Jul 2016 15:08:47 -0400
Received: by mail-io0-f179.google.com with SMTP id l202so28042264ioe.3
 for <22993-done <at> debbugs.gnu.org>; Thu, 07 Jul 2016 12:08:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3IQHy3SJ4pcpvm7G/J2v5I5ipQ/o7JERvTKUbkjj3pE=;
 b=vAzDiVeIn3pOG38VkF9JrU0AVk9fE7gKZf2egdKSxTWpsFsxMXjWEuAW1z5w1gl875
 9/TsQ6TWjbK/xEcbajZQnP62FBYxP/UIDv3eZkUTIs802a7vFue8n3tHGnfomARzNAGN
 XboolG7QzX4d0/QVw1VGeXj8qjnn1LBlIhB/1Tqjc85I+I22eRHWmjJlkKsivLZb/I88
 dfzR0cPRd/XXO8FaAz3pGzAotRGJYBl0DtUhf5MS2kwM0tYr7ARtkBklSxVA+bAoM8YZ
 BbMuiWjlYtE1DewYilvmtAJVmRLd0X+mXpKI4bKbyT/gbPX8CLzdnUVWaDum3FZrsupM
 MwvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3IQHy3SJ4pcpvm7G/J2v5I5ipQ/o7JERvTKUbkjj3pE=;
 b=Oj8/vN6rNfrzvzns7i8SPET9Z43w4IkNiml5nNaLJ24PFAFbBZvZNKuYPzODdpKJrs
 PnmkfeqnlGyJ6QEB0TxuRaIHCKeuY1djjbJLu2Khs4Be0W1e8dMPEbXO75hLgVnOsPf4
 SsRY9WZp5f5M/wec3RbVqdMo1J5hFcVEdqAtDckK2ANUL096C5IZfyZbyuOkI1LZJeBH
 +xmNFQNYHIO0oFdhQ7rdaH/yIkN4rqen6L3FngxAIzZ0MhWgU3wxJb1Tw7mE214Q36W7
 AXTEipy44YbTkt3S1PuO5if3y/myOY1z5eyU3vt0AvE+7bjfkUyyC6Hivqlm1VPn/2W8
 Ytvg==
X-Gm-Message-State: ALyK8tJ3QOgTaEHtIUIKNDjU4LEl6sde7MnyMb2eMt+Ntar8S3PP/hB+P1hPJnc1Hv/+uLqvNuDvGkCR1PFEmA==
X-Received: by 10.107.164.70 with SMTP id n67mr4429275ioe.105.1467918519060;
 Thu, 07 Jul 2016 12:08:39 -0700 (PDT)
MIME-Version: 1.0
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
 <20160707185531.GA12590@HIDDEN>
In-Reply-To: <20160707185531.GA12590@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Thu, 07 Jul 2016 19:08:29 +0000
Message-ID: <CAHyO48y=Zdb+fVn2Sh0mC26WG0UdPXDAr-K15X_astzXry9Ctw@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114289f2e34fd305371069b9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993-done
Cc: 22993-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114289f2e34fd305371069b9
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi Alan,


On Thu, Jul 7, 2016 at 11:55 AM Alan Third <alan@HIDDEN> wrote:

> I'm going to push this change to master. In the worst case it doesn't
> work for some people and nothing is different.
>
> I can't see a better way of handling this problem.
> --
> Alan Third
>

Actually, I=E2=80=99d hold off. Even w/ this change in place, I saw it not =
work as
well, it just took longer/slept in different instances. I believe the fix I
linked to here would be best:
https://github.com/TauLabs/TauLabs/pull/2094/files

Thanks,

--=20
Aaron

--001a114289f2e34fd305371069b9
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Alan,<div><br></div><div><br></div><div class=3D"gmail_=
quote"><div dir=3D"ltr">On Thu, Jul 7, 2016 at 11:55 AM Alan Third &lt;<a h=
ref=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br></div><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex">I&#39;m going to push this change to master. In =
the worst case it doesn&#39;t<br>
work for some people and nothing is different.<br>
<br>
I can&#39;t see a better way of handling this problem.<br>
--<br>
Alan Third<br></blockquote><div><br></div>Actually, I=E2=80=99d hold off. E=
ven w/ this change in place, I saw it not work as well, it just took longer=
/slept in different instances. I believe the fix I linked to here would be =
best:=C2=A0<a href=3D"https://github.com/TauLabs/TauLabs/pull/2094/files">h=
ttps://github.com/TauLabs/TauLabs/pull/2094/files</a><div>=C2=A0</div><div>=
Thanks,</div><div><br></div></div></div><div dir=3D"ltr">-- <br></div><div =
data-smartmail=3D"gmail_signature"><div dir=3D"ltr">Aaron</div></div>

--001a114289f2e34fd305371069b9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993-done <at> debbugs.gnu.org:


Received: (at 22993-done) by debbugs.gnu.org; 7 Jul 2016 18:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 14:55:39 2016
Received: from localhost ([127.0.0.1]:41516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bLESZ-0005uD-Ls
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2016 14:55:39 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:35286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bLESY-0005u0-2j
 for 22993-done <at> debbugs.gnu.org; Thu, 07 Jul 2016 14:55:38 -0400
Received: by mail-wm0-f47.google.com with SMTP id z126so159486966wme.0
 for <22993-done <at> debbugs.gnu.org>; Thu, 07 Jul 2016 11:55:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=m6z8oUaF5HMvZig+SnGzCz/OJv095dpXJrptoE9VFp4=;
 b=1Ca6QPzGtTaHqLP4cuBAcYwG+05pgWiFo4pvgeJdkJ18Df+rJ+R7qYW6fStr9UM2zP
 OjSGgxCdszl1c2g4sK0qoBi/ugi4uIhbxzgh0adpxXIrbiu4+KbnsW9TYg4Okp8Nj+sZ
 rtydxlfDSOqsz1SoDwDiWpfShNS5wCEdyAF8+qw9l4RjXxkdpdyfImKadqsq7kTapl8n
 /lKs3htZYEVdQLOb4LrIVqrUlxY3obZWIVo/4koUqMinuVbv74fYZUhkqZ5E6yxUxP41
 STMCHySbdZXs0m8iL+kbff04ezH7zHcm8GJ9NYob3pkd6dlXEPe54aRoY7oIwrRJ1/yW
 fg+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=m6z8oUaF5HMvZig+SnGzCz/OJv095dpXJrptoE9VFp4=;
 b=gTjhEwnxsHdEjFCK94fjOLM3NvyHURgff9Y8RxxF1geHNbCSUJqmQvmsgfAyp2mRxF
 QP9BnLxhAK/bfPtNlr31ixjQIiRso4GmKbUfIn8wR2QBMweix7XzmwXCMiz1mFyqHlne
 dD85Jq18ztSE2Kh9BnScLjKw70934hYABjIrCEawdm951jo5Zjbae+wsLi0ocqZzBwKf
 ocDxFzoeA10hJ/fROqsltwut2yVMaFbvjqJHvWQu6dW5LHiYAM6fujx4I/AiHbviIxLT
 LabBps7ZYVRyVSLuqf29d7mgDUnOuWL9M8OfHO4EFWQnv0T466Ie2mRbxxKv0XChN1pO
 mJ7g==
X-Gm-Message-State: ALyK8tLPN2a5S/NX8M2TeyTJYEFA7PCKoik0LDkRlEDRYc4vvzNjbNWqep2d78sJipJiNw==
X-Received: by 10.28.220.6 with SMTP id t6mr4462817wmg.42.1467917732506;
 Thu, 07 Jul 2016 11:55:32 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5cc4-ba14-a0d0-bdac.holly.idiocy.org.
 [2001:8b0:3f8:8129:5cc4:ba14:a0d0:bdac])
 by smtp.gmail.com with ESMTPSA id q63sm9886545wma.0.2016.07.07.11.55.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 07 Jul 2016 11:55:31 -0700 (PDT)
Date: Thu, 7 Jul 2016 19:55:31 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160707185531.GA12590@HIDDEN>
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
 <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993-done
Cc: 22993-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Jul 03, 2016 at 05:23:01PM +0000, Aaron Jensen wrote:
> > Sorry for taking so long to respond. I still see Emacs going into app
> > nap mode with this. Is it working for you?
> >
> 
> Yes, it's working for me. I just tested it again. I have seen reports of it
> not working:

I'm going to push this change to master. In the worst case it doesn't
work for some people and nothing is different.

I can't see a better way of handling this problem.
-- 
Alan Third




Notification sent to "Aaron Jensen" <aaronjensen@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Alan Third <alan@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 3 Jul 2016 17:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 13:23:18 2016
Received: from localhost ([127.0.0.1]:36139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bJl70-00038s-Dh
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2016 13:23:18 -0400
Received: from mail-it0-f41.google.com ([209.85.214.41]:35510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bJl6z-00038g-2S
 for 22993 <at> debbugs.gnu.org; Sun, 03 Jul 2016 13:23:17 -0400
Received: by mail-it0-f41.google.com with SMTP id j185so15795510ith.0
 for <22993 <at> debbugs.gnu.org>; Sun, 03 Jul 2016 10:23:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=efkCNTcZg5jsRsJ1oorlPVtNqtSpuSFxOm5+bJluutw=;
 b=YaB603d36SHT+1rt1/sEO0HDnLcHyF7yvZHTlV6owq4rwunKIm46SUNz2qBWz2VPb7
 tloDVk4ya8biqRWXQ/C/u4+BOXXggLkIVPBhCNfzJ7I0axYFWMVea4/lHLZJ8AHK50aC
 TguSQWlsMl+MnqVDLvF/ZX34V9MoFE3dWZWjLFI5A8/q0iFVNxXfUoExtt9U4zHayHe9
 5TibjAbhfPmTFKModsKibfmZJfPbPAZIRKbBuP/8qinltJ/UCKJtxT2GwuYWKE4ysvQm
 ZLvW65vjUBuOxnx8i+Ap1jPPkx400pXRecmowNQJLURdG/TiiFEbDWAvvGh+sYbukUpS
 pvww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=efkCNTcZg5jsRsJ1oorlPVtNqtSpuSFxOm5+bJluutw=;
 b=RTDcf8QSzbxrLMaKFzgby3KbirojmqPW+mj2yPExUyku7d6FHyCzpcG28rYrMIPYac
 VGw1claUm3RYMnwBGq/Ciy+cZkBt9n5JOruC8ySjVKzcNGYaiv4LKX9NIv5BiZB5dzK5
 lhFOOzcjimkcWHeshkcL05p0UFD2iHh7INM6QZTkQPPFE+GiMyk9eQuepU88iGTLyCtx
 3r+d0i5JHDkBPghOqAdqTcnLeutEJ2lEbbnFVBu9Y2ingZFPk+oRmpWm6qyhR/f2qyq9
 sehU8BG2dLwok+lJjT3kjdpRW/Gz6RTrO6Ohf7UxjynBRDdcKoTjubNtUs0UcJqsL43J
 Gfig==
X-Gm-Message-State: ALyK8tJAoSZHvIUdJqV7OpX1JA4OZ5HHnKA6610dIceFnf3jRZxqaVuxynAG67EiAAkkorg4ZJ5NABs1mJVTBA==
X-Received: by 10.36.53.214 with SMTP id k205mr6510586ita.66.1467566591400;
 Sun, 03 Jul 2016 10:23:11 -0700 (PDT)
MIME-Version: 1.0
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
 <20160703091937.GA11931@HIDDEN>
In-Reply-To: <20160703091937.GA11931@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sun, 03 Jul 2016 17:23:01 +0000
Message-ID: <CAHyO48xfT-TTNJ1NCiSDJ_n3EyLK3WX9dXMtPbwSF8SVoRogjg@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114aa6be5d61b00536be79ef
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114aa6be5d61b00536be79ef
Content-Type: text/plain; charset=UTF-8

Hi Alan,

On Sun, Jul 3, 2016 at 2:19 AM Alan Third <alan@HIDDEN> wrote:

> Hi Aaron,
>
> Sorry for taking so long to respond. I still see Emacs going into app
> nap mode with this. Is it working for you?
>

Yes, it's working for me. I just tested it again. I have seen reports of it
not working:

https://github.com/TauLabs/TauLabs/pull/2064#discussion_r45091777

And an alternative: https://github.com/TauLabs/TauLabs/pull/2094/files

That alternative is actually what I do today, but on the command line:

defaults write org.gnu.Emacs NSAppSleepDisabled -bool YES

I'm not familiar enough with the Emacs code to know where to add something
like
https://github.com/TauLabs/TauLabs/pull/2094/files#diff-5241674ea359ea2649ae759e69862569R268
but
maybe it can help you or someone else if the previous suggestion doesn't
work for all.
-- 
Aaron

--001a114aa6be5d61b00536be79ef
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Alan,<br><br><div class=3D"gmail_quote"><div dir=3D"ltr=
">On Sun, Jul 3, 2016 at 2:19 AM Alan Third &lt;<a href=3D"mailto:alan@idio=
cy.org">alan@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_=
quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1=
ex">Hi Aaron,<br>
<br>
Sorry for taking so long to respond. I still see Emacs going into app<br>
nap mode with this. Is it working for you?<br></blockquote><div><br></div><=
div>Yes, it&#39;s working for me. I just tested it again. I have seen repor=
ts of it not working:=C2=A0</div><div><br></div><div><a href=3D"https://git=
hub.com/TauLabs/TauLabs/pull/2064#discussion_r45091777">https://github.com/=
TauLabs/TauLabs/pull/2064#discussion_r45091777</a><br></div><div><br></div>=
<div>And an alternative: <a href=3D"https://github.com/TauLabs/TauLabs/pull=
/2094/files">https://github.com/TauLabs/TauLabs/pull/2094/files</a></div><d=
iv><br></div><div>That alternative is actually what I do today, but on the =
command line:</div><div><br></div><div>defaults write org.gnu.Emacs NSAppSl=
eepDisabled -bool YES=C2=A0</div><div><br></div><div>I&#39;m not familiar e=
nough with the Emacs code to know where to add something like=C2=A0<a href=
=3D"https://github.com/TauLabs/TauLabs/pull/2094/files#diff-5241674ea359ea2=
649ae759e69862569R268">https://github.com/TauLabs/TauLabs/pull/2094/files#d=
iff-5241674ea359ea2649ae759e69862569R268</a>=C2=A0but maybe it can help you=
 or someone else if the previous suggestion doesn&#39;t work for all.</div>=
</div></div><div dir=3D"ltr">-- <br></div><div data-smartmail=3D"gmail_sign=
ature"><div dir=3D"ltr">Aaron</div></div>

--001a114aa6be5d61b00536be79ef--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 3 Jul 2016 09:19:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 05:19:49 2016
Received: from localhost ([127.0.0.1]:35119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bJdZ7-0006tt-Ja
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2016 05:19:49 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:37460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bJdZ4-0006tg-Ki
 for 22993 <at> debbugs.gnu.org; Sun, 03 Jul 2016 05:19:48 -0400
Received: by mail-wm0-f47.google.com with SMTP id a66so79748768wme.0
 for <22993 <at> debbugs.gnu.org>; Sun, 03 Jul 2016 02:19:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=reQukTWJ4YDIzTeO0e3t4eFIVC/eZItOGAjRvrHlI2Y=;
 b=vqlbCSn8R3WqvKELJbXVWosfSDD/o3KB4jFpy7D9bQES9Xq6eKWHg09Tko55Llotj/
 AhTgaNifcH4w0pkRpeO6x/3cpRbtF9YDj4uIgkFblVA/lGqRSeI86c3CazHtGkCTQn7N
 rqRyffAMxXvtd28SF1LF/2JsGYm8VHW+PRcDsX8SXLPYbOp8DdAW9DOU+1wakJEJr91+
 XO1Az+qH8dGgdFBmDREJVCaIRqBl0T1ImmBasiDOTip49mlIxZiqZGqCAIG05wfDxLJX
 kJ+raoXWss3dH6DzYBHm9UtpZI26KRMhCMZGb7gHdCxmFeZEQ3he7hAy1xPs/iEiFbmE
 DhxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=reQukTWJ4YDIzTeO0e3t4eFIVC/eZItOGAjRvrHlI2Y=;
 b=V5y8cFQ1t/W5IVxIgliKx5BFywUKcDpneuLOnRSWThAzYMlc3KCKRYdbtMoxy3yOMG
 Bg5fZ2ANjJHVv62HuHAgF+RPBUJGpUcjEMmwTnwfwKcXVo7pXhiae1JtcA51A0QkiQTo
 UJOZewt65tr9L7KpROxCNjjWy519RpJ2QQUSck95Z49pRcL4FIxjM4B/DQ5a33Wm+BWa
 ng9v9sDK8egjw1w1VVxE06TKFXyFcDq89Nbzcg3v1wdMqBdrrB64cDhy+SparNHUihLU
 LBon4WN63/gAI5mbxGsHCkVFKIN6tmAtnBKm37dpmaoDekyQRj1UBJTzUb2gJe5OgnCN
 tOGw==
X-Gm-Message-State: ALyK8tLweyQZQzfeGFb81kL+7y+U1ht1Y3Uuzds17klIEKbChOZo43uaUyCUUDqv9QEucg==
X-Received: by 10.194.203.102 with SMTP id kp6mr127638wjc.35.1467537580884;
 Sun, 03 Jul 2016 02:19:40 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5cc4-ba14-a0d0-bdac.holly.idiocy.org.
 [2001:8b0:3f8:8129:5cc4:ba14:a0d0:bdac])
 by smtp.gmail.com with ESMTPSA id vu10sm6509325wjb.27.2016.07.03.02.19.39
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 03 Jul 2016 02:19:40 -0700 (PDT)
Date: Sun, 3 Jul 2016 10:19:37 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160703091937.GA11931@HIDDEN>
References: <m2twgutckz.fsf@HIDDEN> <57629b7f841b1a0000aa4164@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <57629b7f841b1a0000aa4164@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Aaron,

Sorry for taking so long to respond. I still see Emacs going into app
nap mode with this. Is it working for you?

On Thu, Jun 16, 2016 at 05:33:17AM -0700, Aaron Jensen wrote:
> I believe my first suggestion was incorrect, I apologize. This should do it:
> 
>  nextstep/templates/Info.plist.in | 2 ++
> 
>  1 file changed, 2 insertions(+)
> 
> diff --git a/nextstep/templates/Info.plist.in b/nextstep/templates/Info.plist.in
> 
> index dcd2fe3..6f56939 100644
> 
> --- a/nextstep/templates/Info.plist.in
> 
> +++ b/nextstep/templates/Info.plist.in
> 
> @@ -675,5 +675,7 @@ along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
> 
>         </array>
> 
>         <key>NSAppleScriptEnabled</key>
> 
>         <string>YES</string>
> 
> +       <key>LSAppNapIsDisabled</key>
> 
> +       <true/>
> 
>  </dict>
> 
>  </plist>
> 
> https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550
> https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550
> 
> Aaron
> 
> On Wed, Jun 15, 2016 at 1:35 PM Alan Third
> 
> <
> mailto:Alan Third <alan@HIDDEN>
> > wrote:
> 
> "Aaron Jensen" <
> mailto:aaronjensen@HIDDEN
> > writes:
> 
> > There are at least two ways to fix this, one is to disable app nap
> 
> > entirely. You can add this to Info.plist.in:
> 
> >
> 
> > +
> 
> LSAppNapIsDisabled
> 
> > +
> 
> True
> 
> Are you able to provide a patch for this? I've tried but it doesn't seem
> 
> to make any difference, so I expect I'm doing something wrong.
> 
> > The other would be to somehow cause the app to “wake up” whenever the
> 
> > tty client is used as well. I’m not sure how to do that, it may be
> 
> > trickier.
> 
> To my mind this would be preferable, as it means we could take advantage
> 
> of any power-saving features AppNap provides without causing performance
> 
> problems. I can't see anything anywhere about how to do it, though, so
> 
> perhaps it's impossible.
> 


-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 16 Jun 2016 13:48:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 09:48:19 2016
Received: from localhost ([127.0.0.1]:43009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bDXec-0003hC-PA
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2016 09:48:19 -0400
Received: from mail-qk0-f178.google.com ([209.85.220.178]:36692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bDXeZ-0003gx-Eb
 for 22993 <at> debbugs.gnu.org; Thu, 16 Jun 2016 09:48:17 -0400
Received: by mail-qk0-f178.google.com with SMTP id p10so53273311qke.3
 for <22993 <at> debbugs.gnu.org>; Thu, 16 Jun 2016 06:48:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=to:subject:references:from:date:in-reply-to:message-id:mime-version;
 bh=faHrs6+lkdBfmZkD4RV8xfdl2CVV7skbkp28oi0pWm0=;
 b=vW+u6zVEY2fOAXN+l5xtGkLynTh6OAgkX0RZOAI23yFqbVeRoJWrAD5wD4OA0cedrH
 8wVNl5naiYX41+IUkrKWjqbdxyEmMbhUEYoZy4cgYzGrRnuOkABu7P6NMf1ktMPhwZyk
 mZ43GF1c9m03tbukFRTKnlnGQg1nTXXYsZApGh9jSko6Pr5j7Ya6ePQCnKzosGO1o9Rf
 so9VGp2hlgGJhm1GxrOly4aHJ+AHuNG69QLq/opAlxH93AL+V58CbbyD3dVj69xjGoPW
 uycSWdxO3uWsj2vpmKai/4uhoS6LOzLnD5g5je5ZuHCabMy3bYhcJr6+id2VClH8qPCL
 G0ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:to:subject:references:from:date:in-reply-to
 :message-id:mime-version;
 bh=faHrs6+lkdBfmZkD4RV8xfdl2CVV7skbkp28oi0pWm0=;
 b=JU0SZfwmDJbq4esAJ7LFcV3PRsFLkyeyKnCoyZCOhPw1wyws377F0XwcQpDHC+HNaS
 JzomwjR/eI4wOwYykp+UalFB2toMrcjgvXQhL7UfpetIhTWNEezkm87BO22QnR5MPGZn
 7RIE1TJqcBisd/EG4w85WvDgL/wLhnjSS3tWh73Lr5onDvtoNlIv7zFFE41FYIAvVvS6
 ju0if5Gau80PPE2ebNT9+znQnwP5Oq9K3ISWQwRdyKLt8Hj2c09Z8XL8ySP1viXQJLzZ
 6UhFtBKlizj7vHoRauY2oQyFNxW3f7HlhzA6Ks5WScRK4PX9RKa5A91uBVKWUUxGOTO0
 c4Yg==
X-Gm-Message-State: ALyK8tITOsgCchWjRral7dn9Sw4AM721SX5myGIe9whrlMDOz1k5TWsLX1qFM3DxBROcdA==
X-Received: by 10.55.114.71 with SMTP id n68mr5106443qkc.37.1466084889862;
 Thu, 16 Jun 2016 06:48:09 -0700 (PDT)
Received: from localhost (ec2-54-221-158-153.compute-1.amazonaws.com.
 [54.221.158.153])
 by smtp.gmail.com with ESMTPSA id j62sm5082317qge.0.2016.06.16.06.48.08
 for <22993 <at> debbugs.gnu.org> (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 16 Jun 2016 06:48:08 -0700 (PDT)
To: <22993 <at> debbugs.gnu.org>
Subject: Re: bug#22993: Potential fix/workaround for 22993
References: <m2twgutckz.fsf@HIDDEN>
From: "Aaron Jensen" <aaronjensen@HIDDEN>
Date: Thu, 16 Jun 2016 06:47:59 -0700
In-Reply-To: <m2twgutckz.fsf@HIDDEN>
X-Mailer: Polymail
Message-ID: <5762ade047eb810000bd1d32@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary=b9ff338a6c11375a4f10a3503a99f0516bb275ad600fde05ef24d780ce99
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--b9ff338a6c11375a4f10a3503a99f0516bb275ad600fde05ef24d780ce99
Content-Type: multipart/alternative;
 boundary=4c03d4668b46f888dc2b84e443ebdd67b30838e4d5ff3ae5e37c33089993

--4c03d4668b46f888dc2b84e443ebdd67b30838e4d5ff3ae5e37c33089993
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

I believe my first suggestion was incorrect, I apologize. This should do it=
:

=C2=A0nextstep/templates/Info.plist.in | 2 ++

=C2=A01 file changed, 2 insertions(+)

diff --git a/nextstep/templates/Info.plist.in b/nextstep/templates/Info.pli=
st.in

index dcd2fe3..6f56939 100644

--- a/nextstep/templates/Info.plist.in

+++ b/nextstep/templates/Info.plist.in

@@ -675,5 +675,7 @@ along with GNU Emacs. =C2=A0If not, see <http://www.gnu=
.org/licenses/>.

=C2=A0 =C2=A0 =C2=A0 =C2=A0 </array>

=C2=A0 =C2=A0 =C2=A0 =C2=A0 <key>NSAppleScriptEnabled</key>

=C2=A0 =C2=A0 =C2=A0 =C2=A0 <string>YES</string>

+ =C2=A0 =C2=A0 =C2=A0 <key>LSAppNapIsDisabled</key>

+ =C2=A0 =C2=A0 =C2=A0 <true/>

=C2=A0</dict>

=C2=A0</plist>

https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550
https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550

Aaron

Aaron

On Wed, Jun 15, 2016 at 1:35 PM Alan Third

<
mailto:Alan Third <alan@HIDDEN>
> wrote:

"Aaron Jensen" <
mailto:aaronjensen@HIDDEN
> writes:

> There are at least two ways to fix this, one is to disable app nap

> entirely. You can add this to Info.plist.in:

>

> +

LSAppNapIsDisabled

> +

True

Are you able to provide a patch for this? I've tried but it doesn't seem

to make any difference, so I expect I'm doing something wrong.

> The other would be to somehow cause the app to =E2=80=9Cwake up=E2=80=9D =
whenever the

> tty client is used as well. I=E2=80=99m not sure how to do that, it may b=
e

> trickier.

To my mind this would be preferable, as it means we could take advantage

of any power-saving features AppNap provides without causing performance

problems. I can't see anything anywhere about how to do it, though, so

perhaps it's impossible.

--

Alan Third
--4c03d4668b46f888dc2b84e443ebdd67b30838e4d5ff3ae5e37c33089993
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64
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--4c03d4668b46f888dc2b84e443ebdd67b30838e4d5ff3ae5e37c33089993--

--b9ff338a6c11375a4f10a3503a99f0516bb275ad600fde05ef24d780ce99--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 15 Jun 2016 20:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 16:35:33 2016
Received: from localhost ([127.0.0.1]:42632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bDHXB-0000nj-9Y
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2016 16:35:33 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:36229)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bDHX9-0000nX-P9
 for 22993 <at> debbugs.gnu.org; Wed, 15 Jun 2016 16:35:32 -0400
Received: by mail-wm0-f46.google.com with SMTP id f126so25604427wma.1
 for <22993 <at> debbugs.gnu.org>; Wed, 15 Jun 2016 13:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=/yDQ6VjkTbV2J4tTrKMt53LIc2nJtGhUvKWTuzLWgXA=;
 b=tVnuangWPPPUEYWodbxkQpjTBNDVqvi4aQ+VTlkqZSJxV7kcd8JDDS3Wx7CsL9fue4
 qnc+yzUqWpbXotNjNA+qepdueaXVolUmXqoON8DNm/Y6eEtiQP3em/+RZiS6qSvVwWHk
 5sT/hcXqFMEtjFZlPjNrhUSvsiD3YElAccmHMFKaBtLub8fmu1zVWVVjDQOiVBuOcafb
 Fgod/h5to3CYZLtiL83Vc4r/jH3zqnnvQc0ICFxQ6DMUF9bxESIRFsWqn4MOdKfc8tWR
 OGsjzeK3HTeu3R4WE1HDKY7eUueLmk3Thv10d1dACMCu/kZrnRK1NyvXCthyg/RwiEOm
 yidQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=/yDQ6VjkTbV2J4tTrKMt53LIc2nJtGhUvKWTuzLWgXA=;
 b=jqkagFZtLfVekzslfNGu6QXMWIYms+zJu00UToLJ1JlE0rj+ibjC6zKW7jlKLSCMz1
 /WyITFh/Dfb0V3dtiSYXcmMakvZ1tDFn6YVU/PDcTr8wEBjC4cXFFnTthGHYWURw/U+D
 u6dMGy1yGOq98upyeKvyYt3tLrazuasw2egMwuSQI1D3g5fIEjRWF2nO92oy8xJAronT
 YblZP+Pkb3S4wOGXRaBif3igEfVQuRcycxTJq0wWvcCPSlmqIL2Ab4hn4dAChKwPLrKO
 oOJnOIbArgXzMHTFFke/rR8neplGQ+l2xAk8GMNoDVtzxOxE1nCVa7z7awR+DXlGWKQH
 VzQg==
X-Gm-Message-State: ALyK8tIfFy9M7a3OrE/HPwBmRil7vktDpUeM+ogbcsCYLkLWS+l7WD/EA4WIE+1Dv9cQAw==
X-Received: by 10.194.114.72 with SMTP id je8mr468243wjb.88.1466022926117;
 Wed, 15 Jun 2016 13:35:26 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2d74-5e80-ca89-b56d.holly.idiocy.org.
 [2001:8b0:3f8:8129:2d74:5e80:ca89:b56d])
 by smtp.gmail.com with ESMTPSA id dj4sm40148741wjc.13.2016.06.15.13.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 15 Jun 2016 13:35:25 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: "Aaron Jensen" <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
References: <56e3b195c3d99f7e00000000@HIDDEN>
 <56e3cc76c3d99f7e00000001@HIDDEN>
Date: Wed, 15 Jun 2016 21:35:24 +0100
In-Reply-To: <56e3cc76c3d99f7e00000001@HIDDEN> (Aaron Jensen's message of
 "Sat, 12 Mar 2016 00:03:13 -0800")
Message-ID: <m2twgutckz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Aaron Jensen" <aaronjensen@HIDDEN> writes:

> There are at least two ways to fix this, one is to disable app nap
> entirely. You can add this to Info.plist.in:
>
> +  <key>LSAppNapIsDisabled</key>
>  +    <string>True</string>

Are you able to provide a patch for this? I've tried but it doesn't seem
to make any difference, so I expect I'm doing something wrong.

> The other would be to somehow cause the app to =E2=80=9Cwake up=E2=80=9D =
whenever the
> tty client is used as well. I=E2=80=99m not sure how to do that, it may be
> trickier.

To my mind this would be preferable, as it means we could take advantage
of any power-saving features AppNap provides without causing performance
problems. I can't see anything anywhere about how to do it, though, so
perhaps it's impossible.
--=20
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.
Removed tag(s) unreproducible. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 11 Jun 2016 16:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 12:24:04 2016
Received: from localhost ([127.0.0.1]:37362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bBlhc-0007T8-GE
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2016 12:24:04 -0400
Received: from mail-vk0-f43.google.com ([209.85.213.43]:33240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bBlhb-0007Sf-89
 for 22993 <at> debbugs.gnu.org; Sat, 11 Jun 2016 12:24:03 -0400
Received: by mail-vk0-f43.google.com with SMTP id d185so9741491vkg.0
 for <22993 <at> debbugs.gnu.org>; Sat, 11 Jun 2016 09:24:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=IHm91yAZ0z+NUJfe9OxhB0My0+Deor4GYbuFSWFgF+8=;
 b=CBKQKnhOQMu/cTIMfo4ujpkoWhgbzIz0TI5qkZQYDzc6BtbOf94tMhS9C8pG+lpu/n
 zCrnvyvsNjwQh865dcKLj7ix8zLRPwtJxSH/Bae0FdmGhVnNUAG9Wl6YXAIdNxG3suHt
 qwBP7/rEJ37sR0ATJvLa25FtSt1M4nsagWPkpdlZn811Vz4/iyRxWDDxnjwjEnm+JC3W
 UsZizNpqQdfMts1sDCbuD0X9podOQ7q6y1/aRymo42k4OKHpWGjpMLPCgXKBJ/0iqWZH
 B+KWN8YIhz/hOaqz9RoQa2bfQsnKpiltEhAmdjecxDQg/HnvSSv4QtqVGJjm6UvbqgwL
 7dfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=IHm91yAZ0z+NUJfe9OxhB0My0+Deor4GYbuFSWFgF+8=;
 b=YB3ty6/IJ8v6MQq4SSKaZ+pAzRj2TdEZLMgzn67BT7/0OwMEjtXO2EatOPnkoG0e9J
 tfqJizHsdQR8boTLIn1AV+ZuEUpkcr4qmKZk5WYIbs2UDl7Y5B929HFUhtVFpE3gMMB8
 FaRUHIiFB4YFNO1J7yctLhOTYZOXJxFfvuITVrHhhEzAvTGNQGqebxt5SNoP4Dmq0rwx
 OtjIuR+vRZv9dzGnyDbVWoZdudaoqMuRjP5TZ8FXH65fGY3zauD6VaJM5UqECLd4erYn
 qPNEYi1Rxz1OCT/yGlpGtVsUwNBGznv+1x38os08R6IzNLUjofCZdv+YqXAsfD006TtK
 3LTA==
X-Gm-Message-State: ALyK8tK+tNbgjhnhQoGzNmPHE4hlgzsuzv/zA1MGmQnwoaEE6f0xMFGvWVbp+2TcwxKs5Hms/17PJ/QX8fGNxA==
X-Received: by 10.31.54.78 with SMTP id d75mr3062924vka.117.1465662237762;
 Sat, 11 Jun 2016 09:23:57 -0700 (PDT)
MIME-Version: 1.0
References: <56e3b195c3d99f7e00000000@HIDDEN>
 <56e3cc76c3d99f7e00000001@HIDDEN>
 <m2r3c4zy4f.fsf@HIDDEN>
 <CAHyO48wZvpQtodTO8nEHEGhsMQrG9-SYmUYoXKmrRbJ=M-gAOQ@HIDDEN>
 <20160611161935.GA27002@HIDDEN>
In-Reply-To: <20160611161935.GA27002@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 11 Jun 2016 16:23:48 +0000
Message-ID: <CAHyO48zE+swaJ9LSkFooakVXFtT7=fGfx_pPXM2+1ES_p_0JPQ@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1143e41c0aed470535031507
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1143e41c0aed470535031507
Content-Type: text/plain; charset=UTF-8

On Sat, Jun 11, 2016 at 9:19 AM Alan Third <alan@HIDDEN> wrote:

> I can reproduce this. I suspect that I was doing something that was
> causing the GUI window to update and that must have been bringing it
> out of App Nap.
>

Great, glad to hear I'm not the only one.


> I don't actually see any performance issues, but that may just be
> because my PC is otherwise idle.
>

Only certain things seem to have issues. read-event specifically does,
which is used in many places in my setup. I use evil, and to exit insert
mode, I hit ESC which ultimately calls read-event, meaning it takes a
second or two to exit. Helm has performance issues too. But yes, if your
computer is doing absolutely nothing else, maybe the scheduler is still
giving napping apps enough time. For me, I've always got something going on
so its pretty unusable.

As a workaround I use:

defaults write org.gnu.Emacs NSAppSleepDisabled -bool YES

But this should be built into the dist.
-- 
Aaron

--001a1143e41c0aed470535031507
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">On Sat, Jun 11=
, 2016 at 9:19 AM Alan Third &lt;<a href=3D"mailto:alan@HIDDEN">alan@id=
iocy.org</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D=
"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">I can repro=
duce this. I suspect that I was doing something that was<br>
causing the GUI window to update and that must have been bringing it<br>
out of App Nap.<br></blockquote><div><br></div><div>Great, glad to hear I&#=
39;m not the only one.</div><div>=C2=A0</div><blockquote class=3D"gmail_quo=
te" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"=
>
I don&#39;t actually see any performance issues, but that may just be<br>
because my PC is otherwise idle.<br></blockquote><div><br></div><div>Only c=
ertain things seem to have issues.=C2=A0<span style=3D"line-height:19.2px;w=
hite-space:pre-wrap;background-color:rgb(254,254,254)">read-event specifica=
lly does, which is used in many places in my setup. I use evil, and to exit=
 insert mode, I hit ESC which ultimately calls </span><span style=3D"line-h=
eight:19.2px;white-space:pre-wrap;background-color:rgb(254,254,254)">read-e=
vent, meaning it takes a second or two to exit. Helm has performance issues=
 too. But yes, if your computer is doing absolutely nothing else, maybe the=
 scheduler is still giving napping apps enough time. For me, I&#39;ve alway=
s got something going on so its pretty unusable.</span></div><div><span sty=
le=3D"line-height:1.5"><br></span></div><div><span style=3D"line-height:1.5=
">As a workaround I use:</span></div><div><span style=3D"line-height:1.5"><=
br></span></div><div>defaults write org.gnu.Emacs NSAppSleepDisabled -bool =
YES</div><div><span style=3D"line-height:1.5"><br></span></div><div><span s=
tyle=3D"line-height:1.5">But this should be built into the dist.=C2=A0</spa=
n></div></div></div><div dir=3D"ltr">-- <br></div><div data-smartmail=3D"gm=
ail_signature"><div dir=3D"ltr">Aaron</div></div>

--001a1143e41c0aed470535031507--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 11 Jun 2016 16:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 12:19:46 2016
Received: from localhost ([127.0.0.1]:37357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bBldR-0007MX-Ue
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2016 12:19:46 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:38431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bBldQ-0007MK-KK
 for 22993 <at> debbugs.gnu.org; Sat, 11 Jun 2016 12:19:44 -0400
Received: by mail-wm0-f47.google.com with SMTP id m124so27440975wme.1
 for <22993 <at> debbugs.gnu.org>; Sat, 11 Jun 2016 09:19:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=7grBfPFZKACRhEjgkG33C6oDMC2l5PNIwKWUvhTPErg=;
 b=R7Ki6Qxzx4camnKagpJ9QbvH7HZmCFvbCG0pXPqoc//qSjpcr64kOEluvD/4ma1Sac
 HFc+iO+/D6WtlORtveqkLJiexGzGdhxY51M1g4KYe8PqcILeIPyhVVcUWRnAR3pYxhxd
 R/Hi++sc0E0QwXKeE6h6gHQCF++IQek9eHO4bnxJAdCxpTcjFmAgvUrenyCJnZfBu3ML
 VG63m1ZeeHxZaN4U/u6PVkrDUKeBY60q0SLJOjamCKH9/KwnSFzw4yhD3jBhCw5YDXAO
 tVck2MxB0XRAH2fGKT4sqY5JWElKbooqsQgw1LUT4QghUqV5utlppsNICeedxld38h26
 0a5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=7grBfPFZKACRhEjgkG33C6oDMC2l5PNIwKWUvhTPErg=;
 b=lHv8wDigsRSCZLNLxFwkTfLKHlIUpE0XTjY5QuimZ0+oJIMd0zJoeuZxt0I2nE13IY
 N1pl3Kc1HtUrQ5ZV2x2UqkE/PhgUAd2hN+viWHjjEwrzLV+B0LdIa9bW8VN0sb2LT6l8
 d8Zulu2+85krn9tk0vtrOWNA3/waCMUDmVscUG9KQ64re3Z7LOoA4preoXdIcp2M1Wdq
 0DXzljbEGpFoqDDq3fS/MoztuxU/JiPrnzs5jdVuIzIXjgYVI1efRIGgHJaISiAsWRFu
 DNLiYmSpCtlOgtIFUAsgSDu3MrVYkPOh6A4VHOep8jBq0yOjTieHZAEG1Ry8Z/s1UPnH
 q8jA==
X-Gm-Message-State: ALyK8tLUIZ5QroKAHgnB+F6XnEAMQjzrF2R6BL4YMAHvtxrk5CFJ37ixQhcM2s3rZhR18g==
X-Received: by 10.28.217.146 with SMTP id q140mr4221545wmg.56.1465661978848;
 Sat, 11 Jun 2016 09:19:38 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-c9c2-157d-2620-d548.holly.idiocy.org.
 [2001:8b0:3f8:8129:c9c2:157d:2620:d548])
 by smtp.gmail.com with ESMTPSA id s1sm17921790wjf.43.2016.06.11.09.19.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 11 Jun 2016 09:19:38 -0700 (PDT)
Date: Sat, 11 Jun 2016 17:19:35 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
Message-ID: <20160611161935.GA27002@HIDDEN>
References: <56e3b195c3d99f7e00000000@HIDDEN>
 <56e3cc76c3d99f7e00000001@HIDDEN>
 <m2r3c4zy4f.fsf@HIDDEN>
 <CAHyO48wZvpQtodTO8nEHEGhsMQrG9-SYmUYoXKmrRbJ=M-gAOQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAHyO48wZvpQtodTO8nEHEGhsMQrG9-SYmUYoXKmrRbJ=M-gAOQ@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sat, Jun 11, 2016 at 03:51:50PM +0000, Aaron Jensen wrote:
> On Fri, Jun 10, 2016 at 11:40 AM Alan Third <alan@HIDDEN> wrote:
> 
> > Hi Aaron, I can't replicate the bug on my machine because this seems to
> > be exactly what happens. Are you still seeing this bug in a current
> > build?
> >
> 
> Hi Alan,
> 
> Yes, I can still repro with 25.0.95.1 on OS X 10.11.5. The following makes
> it easier to repro:
> 
> 1. Make sure your emacsclient is open already and it is displaying a buffer
> that is not displayed by any window on the gui frame.
> 2. Minimize the gui frame.
> 3. Watch Activity Monitor until Emacs says App Nap: Yes
> 
> At this point, typing in the terminal or running the function in the
> original report should not wake up the app from App Nap. As far as I can
> tell, the only thing that does is focusing the gui frame.

I can reproduce this. I suspect that I was doing something that was
causing the GUI window to update and that must have been bringing it
out of App Nap.

I don't actually see any performance issues, but that may just be
because my PC is otherwise idle.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 11 Jun 2016 15:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 11:52:07 2016
Received: from localhost ([127.0.0.1]:37337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bBlCh-0006h2-Eq
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2016 11:52:07 -0400
Received: from mail-vk0-f51.google.com ([209.85.213.51]:35283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1bBlCg-0006gY-CY
 for 22993 <at> debbugs.gnu.org; Sat, 11 Jun 2016 11:52:06 -0400
Received: by mail-vk0-f51.google.com with SMTP id d127so132988271vkh.2
 for <22993 <at> debbugs.gnu.org>; Sat, 11 Jun 2016 08:52:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=mv+a3CpTqradPBL1AtjAF59jxvqoLm+aYB+czJhTbuQ=;
 b=CXlozjDWxRw05oQXMk+gOKBUwiD1KfFA1OyajIRMF312M+G57cuiPDdHn1yWSb2nUB
 IVkVqOxDg5qMQtgUAYMPRrZ2MB3nQ2LckjYcV5YGhMbHEQ/JfB0V4mk67z713i5NbPiA
 3NzMdNdUi4E7nl3y/h+Lpom2XwgmJb9YP5JLIwiQVT9fiiJLK2SPdkTTKhqjmL48EFG0
 Og0RyRUZDVSQPOWfA9Pb8TcWrgTv1vqb1P1Y3ND3XQN1A1+ajVlOo7QDTlAYs9Xwr2F9
 hpjvWsqRZtM1LFhnIKC1YTdrO0of5UzR/dM9nF/ZoXGhGmazu9kKBWIFNiG8z5GzU+LH
 6ibw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=mv+a3CpTqradPBL1AtjAF59jxvqoLm+aYB+czJhTbuQ=;
 b=lBoYodU3CFA+/Up4JKC15BmBqimzsi7+oL/9mT3zyk9AEeXYjA/MTtL/PNUIR/qINk
 thne71T1i7RTy+LbYsWg/qT9SSfb97FywyfVkQV2Kbxx/Oybpgqc5drYlhAwazMN0Tgz
 Oiu+by2vBwoSOU71eKsNNNY7bpjbncJNYT9jwFXux2C8H8cU500jEoMM47MgLWyWsMPh
 zX1D0WNgZTOlzPrVQAqb1XQ5cNwOdk54CpnDZ6KyfdxrFqHD6uGThBT9Qqt0sbgDQdLd
 JWrUkr9Tfl2Ao9KU6yV6X+GBU+ieYFvbVBPnOkOPTP3j0SCcpBqLftQz3Hs1GAOGyA8z
 y18Q==
X-Gm-Message-State: ALyK8tKIehLYZrEsTD3oK0eODT6O4m9KAiEqXqWik/RhyIQat22hJ8WqTck+O4jVz4VN7GKFqKfug/oh2mjanQ==
X-Received: by 10.31.218.193 with SMTP id r184mr3036843vkg.115.1465660320522; 
 Sat, 11 Jun 2016 08:52:00 -0700 (PDT)
MIME-Version: 1.0
References: <56e3b195c3d99f7e00000000@HIDDEN>
 <56e3cc76c3d99f7e00000001@HIDDEN>
 <m2r3c4zy4f.fsf@HIDDEN>
In-Reply-To: <m2r3c4zy4f.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 11 Jun 2016 15:51:50 +0000
Message-ID: <CAHyO48wZvpQtodTO8nEHEGhsMQrG9-SYmUYoXKmrRbJ=M-gAOQ@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c07b1f8c4266b053502a203
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c07b1f8c4266b053502a203
Content-Type: text/plain; charset=UTF-8

On Fri, Jun 10, 2016 at 11:40 AM Alan Third <alan@HIDDEN> wrote:

> Hi Aaron, I can't replicate the bug on my machine because this seems to
> be exactly what happens. Are you still seeing this bug in a current
> build?
>

Hi Alan,

Yes, I can still repro with 25.0.95.1 on OS X 10.11.5. The following makes
it easier to repro:

1. Make sure your emacsclient is open already and it is displaying a buffer
that is not displayed by any window on the gui frame.
2. Minimize the gui frame.
3. Watch Activity Monitor until Emacs says App Nap: Yes

At this point, typing in the terminal or running the function in the
original report should not wake up the app from App Nap. As far as I can
tell, the only thing that does is focusing the gui frame.
-- 
Aaron

--94eb2c07b1f8c4266b053502a203
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">On Fri, Jun 10=
, 2016 at 11:40 AM Alan Third &lt;<a href=3D"mailto:alan@HIDDEN">alan@i=
diocy.org</a>&gt; wrote:</div><blockquote class=3D"gmail_quote" style=3D"ma=
rgin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
Hi Aaron, I can&#39;t replicate the bug on my machine because this seems to=
<br>
be exactly what happens. Are you still seeing this bug in a current<br>
build?<br></blockquote><div><br></div><div>Hi Alan,</div><div><br></div><di=
v>Yes, I can still repro with 25.0.95.1 on OS X 10.11.5. The following make=
s it easier to repro:</div><div><br></div><div>1. Make sure your emacsclien=
t is open already and it is displaying a buffer that is not displayed by an=
y window on the gui frame.=C2=A0</div><div>2. Minimize the gui frame.</div>=
<div>3. Watch Activity Monitor until Emacs says App Nap: Yes</div><div><br>=
</div><div>At this point, typing in the terminal or running the function in=
 the original report should not wake up the app from App Nap. As far as I c=
an tell, the only thing that does is focusing the gui frame.</div></div></d=
iv><div dir=3D"ltr">-- <br></div><div data-smartmail=3D"gmail_signature"><d=
iv dir=3D"ltr">Aaron</div></div>

--94eb2c07b1f8c4266b053502a203--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.
Added tag(s) unreproducible. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 10 Jun 2016 18:40:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 14:40:16 2016
Received: from localhost ([127.0.0.1]:36236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bBRLs-00089g-Ar
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2016 14:40:16 -0400
Received: from mail-wm0-f49.google.com ([74.125.82.49]:36291)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bBRLr-00089S-B6
 for 22993 <at> debbugs.gnu.org; Fri, 10 Jun 2016 14:40:15 -0400
Received: by mail-wm0-f49.google.com with SMTP id n184so3411868wmn.1
 for <22993 <at> debbugs.gnu.org>; Fri, 10 Jun 2016 11:40:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=kD+DjgcTH7XY+rzaUIh06S6K/VpyuQyzRmaooRaCfSc=;
 b=jhN8xyLsMQ3FeW6U6rLeRSePkDYowFCF0CzT/dt54TwJK9owKVXq/Lb0zYJnvF05Nm
 /DJR1KCk8b1Yxl/PmG7zEerTXx+OgbHNvurzBx9LXwxHBVqfrVEbkyse9SIpJHK4K0BS
 yIkIQfU7Tmk6xhNJZF3SLZmA1Ag3ctsr6RqsYkO3pmPPlFPYzhAytdNeGnoEaueGpGtO
 TwoatbnmLSl/3nkQYRUMJBik/Nhq7CAFRNUsy8rUiKhyLgnOmEv5gxJmdAoU9/u1N7sH
 n7TSdaLyIRkcsS5T+t+IINcAPF5cYxr3VRwQ9saFRvw6/VWiZhjec1r74VVbdBy1tOiU
 zcaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=kD+DjgcTH7XY+rzaUIh06S6K/VpyuQyzRmaooRaCfSc=;
 b=MZp31SRUQ3xQSkeryREPxg1aiu+iLSLuai2Q2kc9TNMz7XUQwk9WkzmICtnqoLvhLD
 oLF+qPtWCHSFO9uC9XK149tNgIJmwdUTKxyP8Xl+rFWjRGefMR9a+R49YyNoESs+x6H8
 LSxY8mrIAtf1y0uXOgFHc5eIie3qURyfGZLygsDfQbXDkRtt68OwcGdgdDCS/1c6DHWu
 1tMjYAjaAfgm6n9xPwH3w8DlsN5b+RlnHjBBU9RG4tPx0TzFjUaOx8/y0E9iYgsLLSNQ
 BYnUshuAL75fmpNDsDLFkruVMM1m/PVUqyznD7tgYpkWRONObEGdNaMSamwBIFOgVL7V
 AwlA==
X-Gm-Message-State: ALyK8tKMsXSnR9yw3zG2iU9V2kRflNa+sh04Gm2Sz+hbnml1jvGw1ddR3SRZ8fDDjJpLOw==
X-Received: by 10.194.109.232 with SMTP id hv8mr3463486wjb.118.1465584009458; 
 Fri, 10 Jun 2016 11:40:09 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-c9c2-157d-2620-d548.holly.idiocy.org.
 [2001:8b0:3f8:8129:c9c2:157d:2620:d548])
 by smtp.gmail.com with ESMTPSA id t1sm13633968wjy.3.2016.06.10.11.40.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 10 Jun 2016 11:40:08 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: "Aaron Jensen" <aaronjensen@HIDDEN>
Subject: Re: bug#22993: Potential fix/workaround for 22993
References: <56e3b195c3d99f7e00000000@HIDDEN>
 <56e3cc76c3d99f7e00000001@HIDDEN>
Date: Fri, 10 Jun 2016 19:40:00 +0100
In-Reply-To: <56e3cc76c3d99f7e00000001@HIDDEN> (Aaron Jensen's message of
 "Sat, 12 Mar 2016 00:03:13 -0800")
Message-ID: <m2r3c4zy4f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 22993
Cc: 22993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Aaron Jensen" <aaronjensen@HIDDEN> writes:

> The other would be to somehow cause the app to =E2=80=9Cwake up=E2=80=9D =
whenever the
> tty client is used as well. I=E2=80=99m not sure how to do that, it may be
> trickier.

Hi Aaron, I can't replicate the bug on my machine because this seems to
be exactly what happens. Are you still seeing this bug in a current
build?
--=20
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at 22993 <at> debbugs.gnu.org:


Received: (at 22993) by debbugs.gnu.org; 12 Mar 2016 08:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 03:03:30 2016
Received: from localhost ([127.0.0.1]:45684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeeWI-0006sl-AD
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 03:03:30 -0500
Received: from mail-qk0-f175.google.com ([209.85.220.175]:36630)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeeWG-0006sY-Rw
 for 22993 <at> debbugs.gnu.org; Sat, 12 Mar 2016 03:03:29 -0500
Received: by mail-qk0-f175.google.com with SMTP id s68so56997144qkh.3
 for <22993 <at> debbugs.gnu.org>; Sat, 12 Mar 2016 00:03:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:to:date:from:subject:message-id;
 bh=D+U/TOi0I76UqF50XcCoPdnR2vijsCiC21EdjVqw8Pk=;
 b=ofxYdzXI5JIDjbNItqwGzUWCdrPwsr67VDjIVsJycaMDbRZlEktYB/oTDlsv0EE7i+
 TNNkcpK/3kfm6mYV/EMyOm+BRY3eEOsCj+Jzq9UuPoCuPPHpmaKdowIG7N7UIL5AUfcr
 1yaAF+HaZeDzLWSBbOzLxtUqymiM4xfxT5w3KpFqPFadexd8Nh68lCe0obfeePJGfUlo
 PKT7MEJigNa03paSIa32eimaLU0GCSj8CN3V5CKOkANZmGIa4pv1H8TG1YVT/vJiXNxm
 oCTj3NNcFQglMmM+uNcXzSte4HOyspVlRYLZgutWM/uYOboRGMvq8EHCtIp3aehTO/wc
 ybkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:to:date:from:subject:message-id;
 bh=D+U/TOi0I76UqF50XcCoPdnR2vijsCiC21EdjVqw8Pk=;
 b=CS/kXW3tl09ACsbtqImYgjPHM06+PwmC4seJgctO8FQINUmQlZguglmJLBuDmd+HDV
 /yFt5nTSqOU0fqHzX92q5sqbs5u0k2aKtlbGrZXpfca+PYQOkAprcNeygsvDMboDYy74
 RHOS8D+ywQXfMVeSQYLZsMhy2ImvKKPidRFY/dCT2sgA69mNjwXV7PL1gRG0Npi6thw/
 MGzWzsIM44X7GrD1Gl1itY/Lt4elr3Abukdi3HTyC9XBQUzPn7HRbcmGU90Fdh0z9TUN
 f6nYCZ0vwVxIQqrucUUW8k1QeiAxoLd8JImxFUcriBT1uB5iDWvQUDfn8lQ4Z0Q2qo3d
 OiGQ==
X-Gm-Message-State: AD7BkJK999EkZp0HKJlV1JCfawRJCsk12x3/JMDJpl4xqJmjy4rvvIiDpUcS6SGOAcTdDg==
X-Received: by 10.55.80.9 with SMTP id e9mr16881177qkb.94.1457769803381;
 Sat, 12 Mar 2016 00:03:23 -0800 (PST)
Received: from localhost (ec2-52-90-4-238.compute-1.amazonaws.com.
 [52.90.4.238])
 by smtp.gmail.com with ESMTPSA id b34sm5674331qgb.31.2016.03.12.00.03.22
 for <22993 <at> debbugs.gnu.org> (version=TLSv1/SSLv3 cipher=OTHER);
 Sat, 12 Mar 2016 00:03:22 -0800 (PST)
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary=83181de0d7607ce4b9eaa6eadd6e077afa9f2ac5b8aea3b2da01938cef1b
To: <22993 <at> debbugs.gnu.org>
Date: Sat, 12 Mar 2016 00:03:13 -0800
X-Mailer: Polymail
X-Polymail-Id: 56e3cc76c3d99f7e00000001
From: "Aaron Jensen" <aaronjensen@HIDDEN>
Subject: Potential fix/workaround for 22993
Message-ID: <56e3cc76c3d99f7e00000001@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22993
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--83181de0d7607ce4b9eaa6eadd6e077afa9f2ac5b8aea3b2da01938cef1b
Content-Type: multipart/alternative;
 boundary=15a7330111761f400750970734efb0f8c2928a108940edf571f728adf842

--15a7330111761f400750970734efb0f8c2928a108940edf571f728adf842
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

There are at least two ways to fix this, one is to disable app nap entirely=
. You can add this to Info.plist.in:

+ =C2=A0<key>LSAppNapIsDisabled</key>

=C2=A0+ =C2=A0 =C2=A0<string>True</string>

The other would be to somehow cause the app to =E2=80=9Cwake up=E2=80=9D wh=
enever the tty client is used as well. I=E2=80=99m not sure how to do that,=
 it may be trickier.

Aaron
--15a7330111761f400750970734efb0f8c2928a108940edf571f728adf842
Content-Transfer-Encoding: base64
Content-Type: text/html; charset=utf-8

VGhlcmUgYXJlIGF0IGxlYXN0IHR3byB3YXlzIHRvIGZpeCB0aGlzLCBvbmUgaXMgdG8gZGlzYWJs
ZSBhcHAgbmFwIGVudGlyZWx5LiBZb3UgY2FuIGFkZCB0aGlzIHRvIEluZm8ucGxpc3QuaW46PGRp
dj48YnI+PC9kaXY+PGRpdj48ZGl2PisgJm5ic3A7Jmx0O2tleSZndDtMU0FwcE5hcElzRGlzYWJs
ZWQmbHQ7L2tleSZndDs8L2Rpdj48ZGl2PiZuYnNwOysgJm5ic3A7ICZuYnNwOyZsdDtzdHJpbmcm
Z3Q7VHJ1ZSZsdDsvc3RyaW5nJmd0OzwvZGl2PjxkaXY+PGJyPjwvZGl2PjxkaXY+VGhlIG90aGVy
IHdvdWxkIGJlIHRvIHNvbWVob3cgY2F1c2UgdGhlIGFwcCB0byDigJx3YWtlIHVw4oCdIHdoZW5l
dmVyIHRoZSB0dHkgY2xpZW50IGlzIHVzZWQgYXMgd2VsbC4gSeKAmW0gbm90IHN1cmUgaG93IHRv
IGRvIHRoYXQsIGl0IG1heSBiZSB0cmlja2llci48L2Rpdj48YnI+PGRpdiBpZD0icHNpZ25hdHVy
ZSI+PGRpdj5BYXJvbjwvZGl2PjwvZGl2PjwvZGl2Pg==
--15a7330111761f400750970734efb0f8c2928a108940edf571f728adf842--

--83181de0d7607ce4b9eaa6eadd6e077afa9f2ac5b8aea3b2da01938cef1b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Mar 2016 07:51:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 02:51:30 2016
Received: from localhost ([127.0.0.1]:45678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeeKf-0006Xu-Uj
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 02:51:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39710)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeciG-00043Y-2l
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 01:07:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeci9-0004xy-6m
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 01:07:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60212)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeci9-0004xi-3a
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 01:07:37 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58830)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeci7-0006RF-Au
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 01:07:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeci3-0004tL-Tr
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 01:07:35 -0500
Received: from mail-qk0-x22c.google.com ([2607:f8b0:400d:c09::22c]:35321)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1aeci3-0004so-OB
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 01:07:31 -0500
Received: by mail-qk0-x22c.google.com with SMTP id o6so56668341qkc.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 11 Mar 2016 22:07:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:mime-version:from:subject:to:date;
 bh=bE5C5cs/ULHE40F+67Mw1JEjqoPYQCXrbPBukBBkFsA=;
 b=U+TrgyqjHR7mmSOh4TcPmHe2OnBP41JEEBXWHIl2dheO/yP89OcuvSGK2zzIj3zM2S
 CWYGF2z4y1COtz4fcksvSeC/SJvRcettGX/RtWDAMwIV7ftH0cfXK5eFsKguw1sN4dsA
 QBdbrNphEpckm+9BSFvGSPnri9p34yIgaAV+vRsc4LTdSyGHB6qZ+w/I7/ZEqNma4GLr
 QzGSd6Aw5DRXq5Rm25QsvXuBp+qweKgsoMf98FGHd1kBRtFBj6YptBPx+Uk6MkOxKeHh
 1Nz5JovPbizqcxkS5hVzdfaT0FYmDJ1Zfdd/c1tquDBpLNg17lO8CyIFg/OlQp/DFvO5
 7fBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:mime-version:from:subject:to:date;
 bh=bE5C5cs/ULHE40F+67Mw1JEjqoPYQCXrbPBukBBkFsA=;
 b=QpezMuyton5OTWgup9QEHLqcgINFV/tbMa3iQoYAXosYuKPIhcD2DBUcHHSuNhGwqa
 p+O3bEzRloD49Ww4itllBCoLsQRVaHN8e8FYePP2sZ5JLIzXzCa8PD9lA96AA1MK4z+P
 4JGroOlGwZzip1tlBFb1sF7xBvCko7lxVc/O1WGLtjxM9ZwbHvP6qTt1pd9R4clezbkX
 ciHGObSCtVl3LFLcyehGun0w4yrflb/iUuirsMuUsZkhRdEdt4VImTiIKOcg0auGY69Q
 wLRDDlvNZGf6sfEGdS0SKp9lGiK984Ih5TEHcPGlRHxpq+8w/U4buI60BGbzNI6MEG5t
 T4ow==
X-Gm-Message-State: AD7BkJI9p4HSCRUy8sevvTMlvt6o+Vt4mO6QivNoG/ofy7s2LAqh5LhIuKfpFQal5DouVQ==
X-Received: by 10.55.217.17 with SMTP id u17mr16712038qki.108.1457762851047;
 Fri, 11 Mar 2016 22:07:31 -0800 (PST)
Received: from localhost (ec2-52-90-4-238.compute-1.amazonaws.com.
 [52.90.4.238])
 by smtp.gmail.com with ESMTPSA id p67sm5545470qhb.7.2016.03.11.22.07.29
 for <bug-gnu-emacs@HIDDEN> (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 11 Mar 2016 22:07:29 -0800 (PST)
X-Polymail-Id: 56e3b195c3d99f7e00000000
Message-ID: <56e3b195c3d99f7e00000000@HIDDEN>
X-Polymail-Pg: Do things that dont scale
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary=4cf8d5e9ca71e1c9d1cb4a29509d2c79dc25ce18f952ff03054f576c92c3
From: "Aaron Jensen" <aaronjensen@HIDDEN>
Subject: 25.0.92; OS X app nap slows down tty emacsclient
X-Mailer: Polymail
To: <bug-gnu-emacs@HIDDEN>
Date: Fri, 11 Mar 2016 22:07:20 -0800
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 12 Mar 2016 02:51:29 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--4cf8d5e9ca71e1c9d1cb4a29509d2c79dc25ce18f952ff03054f576c92c3
Content-Type: multipart/alternative;
 boundary=ad6390557a7489123da570d64769fa3941098cd02efb524e61e45d3800cd

--ad6390557a7489123da570d64769fa3941098cd02efb524e61e45d3800cd
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

This has been a terribly frustrating bug to track down, but here it is, alo=
ng with a repro. The gist is that if you run gui emacs =C2=A0as a server on=
 OS X, tty emacsclients connected to it are adversely affected when the Ema=
cs.app goes into =E2=80=9CApp Nap=E2=80=9D mode on OS X.

Repro:

- On OS X El Capitan (probably works on Mavericks as well) run emacs -Q

- Do M-x server-start

- In terminal, run emacsclient --tty somefile

- Eval the following:

(defun test-app-nap ()

(interactive)

(message "Before %s" (current-time-string))

(redisplay)

(message "After redisplay %s" (current-time-string))

(message "read-event %s" (read-event nil t 0.001))

(message "After %s" (current-time-string)))

- M-x test-app-nap and observe that it immediately shows "After

"

- Wait for Emacs to switch to app nap. You may be able to monitor with

Activity Monitor, but emacs -Q doesn't always show up there. As long

as you are not focused on the GUI emacs, it should start to nap in a

minute or two.

- Back in the terminal, M-x test-app-nap

- You should see the "After redisplay

" message for several

(probably 10) seconds before seeing the "After

" message

- Switch to the emacs gui app, then back to the terminal and M-x

test-app-nap

- It should be back to the immediate "After

" message

App nap needs to be disabled in emacs, at least when the server is

running, but probably always. The typical workaround is to disable app

nap by going to the info window on the Emacs.app, but for some reason,

that checkbox is not available.

In GNU Emacs 25.0.92.1 (x86_64-apple-darwin15.3.0, NS appkit-1404.34 Versio=
n 10.11.3 (Build 15D21))

of 2016-03-10 built on aaronmbp.local

Windowing system distributor 'Apple', version 10.3.1404

Configured using:

'configure --prefix=3D/usr/local/Cellar/emacs/25.0.92

--enable-locallisppath=3D/usr/local/share/emacs/site-lisp

--infodir=3D/usr/local/Cellar/emacs/25.0.92/share/info/emacs --with-xml2

--without-dbus --with-gnutls --with-rsvg --with-imagemagick --with-ns

--disable-ns-self-contained'

Configured features:

JPEG RSVG IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS

NS

Important settings:

value of $LC_CTYPE: en_US.UTF-8

value of $LANG: en_US.UTF-8

locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:

tooltip-mode: t

global-eldoc-mode: t

electric-indent-mode: t

mouse-wheel-mode: t

tool-bar-mode: t

menu-bar-mode: t

file-name-shadow-mode: t

global-font-lock-mode: t

font-lock-mode: t

blink-cursor-mode: t

auto-composition-mode: t

auto-encryption-mode: t

auto-compression-mode: t

line-number-mode: t

transient-mark-mode: t

Recent messages:

Making completion list...

You can run the command =E2=80=98server-start=E2=80=99 with M-x ser-s RET

When done with a buffer, type C-x #

Mark set

Auto-saving...

wtf

Before wtf Fri Mar 11 21:58:32 2016

After redisplay Fri Mar 11 21:58:32 2016

read-event nil

After wtf Fri Mar 11 21:58:38 2016

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml

mml-sec epg epg-config gnus-util mm-decode mm-bodies mm-encode

mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047

rfc2045 ietf-drums mm-util help-fns help-mode easymenu cl-loaddefs pcase

cl-lib mail-prsvr mail-utils term/xterm xterm server time-date mule-util

tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type

mwheel ns-win ucs-normalize term/common-win tool-bar dnd fontset image

regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode

prog-mode register page menu-bar rfn-eshadow timer select scroll-bar

mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham

georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese charscript case-table epa-hook

jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice

loaddefs button faces cus-face macroexp files text-properties overlay

sha1 md5 base64 format env code-pages mule custom widget

hashtable-print-readable backquote kqueue cocoa ns multi-tty

make-network-process emacs)

Memory information:

((conses 16 202233 6734)

(symbols 48 19770 0)

(miscs 40 57 215)

(strings 32 15988 5464)

(string-bytes 1 458233)

(vectors 16 33517)

(vector-slots 8 645323 6669)

(floats 8 170 338)

(intervals 56 234 0)

(buffers 976 14))

Aaron
--ad6390557a7489123da570d64769fa3941098cd02efb524e61e45d3800cd
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64
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--ad6390557a7489123da570d64769fa3941098cd02efb524e61e45d3800cd--

--4cf8d5e9ca71e1c9d1cb4a29509d2c79dc25ce18f952ff03054f576c92c3--




Acknowledgement sent to "Aaron Jensen" <aaronjensen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22993; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Nov 2016 19:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.